# Configuration file

##########################################################################################################
# client
#--------------------------------------------------------------------------------------------------------#
# Configs that only affect the client and have no change on the server
##########################################################################################################

client {
    # If set to false, an empty offhand will only be rendered when the player is punching with the offhand. [default: false]
    B:RenderEmptyOffhandAtRest=false
}


##########################################################################################################
# general
#--------------------------------------------------------------------------------------------------------#
# Configs that will be synced with the server's config if playing in multiplayer
##########################################################################################################

general {
    # If the main offhand inventory can't be used, this slot in the main inventory will be used as the offhand instead. Slot 9 by default. [range: -2147483648 ~ 2147483647, default: 9]
    I:AlternateOffhandSlot=35

    # If set to false, disables offhand actions and rendering if there is no offhand item. False in vanilla. [default: false]
    B:EmptyOffhand=false

    # If set to false, an empty offhand will only be rendered when the player is punching with the offhand. False in vanilla. [default: false]
    B:OffhandAttack=false

    # Determines whether you can break blocks with the offhand or not. False in vanilla. [default: false]
    B:OffhandBreakBlocks=false

    # Picked up items can go into the offhand slot when empty. False in vanilla [default: false]
    B:OffhandPickup=false

    # If enabled, a hotswap will be performed every tick if the main hand has no use or is empty.
    # This hotswap allows for many more items like fishing rods to be used in the offhand, but may be unstable.
    #  [default: false]
    B:OffhandTickHotswap=false

    # If enabled, the alternate offhand slot configured above will always be used for the offhand. False by default. [default: false]
    B:UseInventorySlot=false

    # If enabled, arrows in the offhand will be used first when shooting a bow. Compatible with Et-Futurum's tipped arrows! True in vanilla. [default: true]
    B:UseOffhandArrows=true

    # If enabled, bows can be used in the offhand. True in vanilla. [default: true]
    B:UseOffhandBow=true

    # These items will be unable to be swapped into the offhand.
    # Formatting of an item should be: modid:itemname
    # These should all be placed on separate lines between the provided '<' and '>'.
    #  [default: ]
    S:offhandBlacklist <
     >
}


rendering {
    B:"Render empty offhand at rest"=false
}


